# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/DB/WebDBSeqI.pm) perl(Bio/Root/Root.pm) perl(Carp.pm) perl(Data/Stag.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/EOL.pm) perl(Test/Exception.pm) perl(Test/Mojibake.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/RequiresInternet.pm) perl(Test/Warn.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bio-DB-BioFetch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7.3
Release: alt1
Summary: Database object interface to BioFetch retrieval
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bio-DB-BioFetch

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDIESH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Bio::DB::BioFetch is a guaranteed best effort sequence entry fetching
method.  It goes to the Web-based dbfetch server located at the EBI
(http://www.ebi.ac.uk/Tools/dbfetch/dbfetch) to retrieve sequences in the
EMBL or GenBank sequence repositories.

This module implements all the Bio::DB::RandomAccessI interface, plus
the get_Stream_by_id() and get_Stream_by_acc() methods that are found
in the Bio::DB::SwissProt interface.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes
%perl_vendor_privlib/B*

%changelog
* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1
- initial import by package builder

